### Virtual Method

# Ide SymbolTree get_n_children

#### Declaration

    guint
    get_n_children (
      IdeSymbolTree* self,
      IdeSymbolNode* node
    )

#### Description

Get the number of children of `node`. If `node` is NULL, the root node is assumed.

Available since: | 3.32

#### Parameters

`node` | `IdeSymbolNode`
| An `IdeSymbolNode` or `NULL`.
| The argument can be `NULL`.
| The data is owned by the caller of the function.

#### Return value

Returns: | `guint`
| An unsigned integer containing the number of children.